@style (spacing 2)
@title (Checkpoint)
@pageheading (draft)

@majorheading (CHECKPOINT)

@center (28 March 1985)
@center (Comments to Stu Galley)
@blankspace(5)

@heading (RAISONS D'ETRE)

@begin (itemize)
This is a collection of stories in one product.  Some of the stories
should be short enough to finish in one session.  All of the stories
take place in the same general setting.

The setting should justify some of the limitations of our current
technology.  Since it is hard to converse with characters, all or most
of them don't understand English.  Since "geography" is limited in scope,
the setting is on trains and in stations, where movement is naturally
restricted.

The stories should convey a theme that Hitchcock used often in his
movies: a very important mission can be delayed or even doomed by
ordinary people that just happen to be in the way at the wrong time.
@end (itemize)

@heading (SYNOPSES)

All of the stories are based on a similar plot; the difference among
them is @U(which role) you play in the story.
I visualize printing the beginning of each variation in the
browsie, and continuing it on the screen.
In each variation, you can also choose between easier and harder levels
of difficulty.

@subheading ("Traveller" Variation:)
You're travelling alone, on business of some kind, on a train
in the European country of Frotzerland (see
below).  Suddenly a fellow passenger,
recognizing you as friendly,
bursts into your compartment.  He explains that he wants
to entrust his briefcase to you while he handles some dangerous
business, but it's vital that
@comment ( the contents reach N.A.T.O@. headquarters in Brussels without delay.
If anything happens to him, would you please give the briefcase )
you follow his instructions, which vary depending on the level.
Then he dashes out, and a short time later
you see his body falling from the roof past your window.  Obviously
the "bad guys" are after his briefcase and/or the "MacGuffin"!
When you open the briefcase (which is in itself a puzzle), you discover
@comment [ the MacGuffin; let's say it's a copy (small enough to conceal in your clothing -- say, in a pocket) of the "bad" guys' secret plan to kidnap the N.A.T.O@. Commander tomorrow.  You also discover ]
the MacGuffin or clue(s) as to how to acquire it.

The easier level has these features:
@begin (itemize)
The briefcase contains the MacGuffin, as well as
a camera and the name
of an object (chosen by the program from a secret
list), which is a password that you have to say to whoever
meets the train.
So you have to reach the frontier, pass customs with
the MacGuffin, and deliver it
to the contact (a "good guy") who will meet the train at the
first station across the frontier -- all
while avoiding the "bad guy(s)" and not attracting attention to yourself.

The "bad" spy (who killed the "good" spy in the beginning)
tries to get the MacGuffin from you, without explicit violence.
You must avoid him/her, or you can get trapped and killed.
@end (itemize)
The harder level has the above features, plus these new ones:
@begin (itemize)
The briefcase contains the names of @u(two) objects, the password
and a "passobject" that you have to display
so the contact can recognize you.  The "good" spy had such an object, but
now he's gone, so you have to improvise the passobject somehow.

The "bad" spy is more aggressive and smart, and he/she will force you
to fight rather than flee.  (Rated PG)

You don't have the MacGuffin at the start; you must first
contact an agent at the next train station down the line by displaying
a second passobject in order to receive the MacGuffin.

You're not on the right train for meeting the final contact.  You must
consult your timetable, change your
itinerary, buy a new ticket, catch the right train
at the right station, and proceed as before.

There's also a pickpocket on the loose.
If you bump into him/her, you may lose some item that you're carrying.
(I suppose the briefcase is immune, but on the
other hand it's a pain to keep things in it.)
@end (itemize)

@comment [
@U(Variation 2:)
This plot differs from the first in that the "good" spy that enters
at the beginning is actually, unknown to you, a bad spy.
So your ostensible goal is the same, but you get the best ending only if
(the information in) the MacGuffin is made useless before delivery.
(If you don't deliver the MacGuffin as instructed, you learn that
the bad guys just used another method for delivery and
succeeded.)  To avoid getting bogged down in the details of munging
the MacGuffin, you have a helper: an actual "good" spy who will mung it
for you.  But you have to find this person (maybe the bad spy gives
you a photo and instructs you to avoid him/her) and ask properly.]

@subheading ("Spy" Variation:)
In this variation you play the role of the "bad" spy
that goes after the "innocent" traveller and the MacGuffin.
Naturally, you think of yourself as a "good" spy.
Your goal is to find the MacGuffin and alter it so that the
"bad guys" receive false information, or even better, deliver the
original MacGuffin (not a photo) to your side for analysis
to trace the leak of secret information.
You begin on the roof of the train and immediately fight the
"bad" spy (who's "good" in the "traveller" variation).  Assuming that you win the
fight, you next have to find the traveller with the MacGuffin (or, in the
harder level,
the info to acquire it).  You could try to get the briefcase and snoop
in it, observe
the other passengers' behavior (or speak to them in English, but they
may not answer), and/or observe the platform during stops.
Once you locate the MacGuffin, you have to fight or trick the courier, and
acquire the MacGuffin.
Then you have a choice: you can alter it, and either return it to the courier
or deliver it yourself (using password and passobject); or you can
try to sneak it through customs and deliver it to your "team."

Any feature not mentioned in the following lists is like the previous
variation.  The easier level has these features:
@begin (itemize)
The traveller carries the briefcase all the time, so you can tell
who s/he is.  But you can't acquire it without trickery or violence.

You have limited means of aggression, e.g. just a gun and no special
abilities.
@end (itemize)

The harder level has the above features, plus these new ones:
@begin (itemize)
The traveller hides the briefcase whenever feasible, so you can't tell
who s/he is.  If you can find and open it, you may get clues.

You have no weapon, but you can indulge in some unarmed violence (rated PG)
or trickery (e.g. pose as contact, or acquire passobject and pose as traveller)
to try to get what you want.

If you succeed in delivering the MacGuffin itself, your contact will
give you one more task: to help recapture a defector who's riding on the
very same train.
(The MacGuffin is in fact a copy of the secret plan to recapture him.)
Your role in the recapture is simple, but it serves to make your final
goal significantly different from your goal as "traveller."
@end (itemize)

@subheading ("Conductor" Variation [deleted as of now]:)
Your role is the conductor on the train, and your goal is to avoid
getting blamed for any trouble that occurs in your jurisdiction,
like delays, stowaways, violence, or smuggling.
(Note: as a conductor, you can speak the local language, which thus
will be "dubbed" into English; but by the same token the "traveller," spy,
etc. will be dubbed into Frotzian.) 
Your first duty is to punch all passengers' tickets after each stop;
if you miss one, he/she will turn out to be a railway employee
who is testing your performance, and you lose your job.
(This means you can't freely observe the suspect(s) during ticket-punching
time, so the MacGuffin may change hands without your knowing it.) 
Your second duty is to stand at the front end of the platform
in each station and give the order for the train to depart.
At the frontier checkpoint, you should stand by the customs agent
and try to detect any smuggling, such as the MacGuffin.
If you observe the passengers while making your rounds, you
might be able to spot someone on a spy mission by their odd behavior.

Any feature not mentioned in the following lists is like the previous
variations.  The easier level has these features:
@begin (itemize)
It is sufficient to catch either traveller or spy with the MacGuffin in
hand.  At the checkpoint, all passengers empty their pockets to aid
inspection.
@end (itemize)

The harder level has the above features, plus these new ones:
@begin (itemize)
At the beginning, your train isn't headed for the frontier.
But, if you report spy activity to a station guard, you will receive
a new assignment on the train that the traveller and spy will use.
(Your bosses will explain that a professional agent is replacing you
in order to catch the spies; but -- by Murphy's Law -- the spies
change trains too!)

You get a better ending
if you don't apprehend the smuggler at the checkpoint, but rather
apprehend the contact also, at the station past the checkpoint.
@end (itemize)

@subheading (Other features:)
For variety, the variations also differ in:
@begin (itemize)
which objects are the password and passobject
(and in the harder levels the passobject is harder to obtain);

which fellow passenger is the "bad" spy
@comment (and what their cover stories are )
(this is especially appropriate for
a spy story, since appearances deceive and all that);

which person waiting at the station is your contact (ditto);

and perhaps which train you begin on, thus changing your plan for catching the
right connecting train (so it's vital to have the timetable and hence
the package, in order to play).
@end (itemize)

@heading (INNOVATIONS)

Characters:
Besides the "major" characters, with whom you can have some
meaningful interaction, there will be numerous "extras" appearing
in the "crowd" scenes, such as on the train and the platforms.
(Other new products, such as "Cutthroats" and "Suspect," have
these to some extent.)

@comment [
Parser:
To make the limitations on talking to
characters more acceptable, all other characters will
have limited knowledge of English; so if you give a bad
command to a character, s/he will complain instead of the parser.
Examples: "Please, I not know English word 'fooble'."  "Please,
to me simple English speak."  "Buzbar frbz mrtzki."]

Limited freedom of action:
Since you're on a train most of the time, the limited geography is
more acceptable, as is the slow way you move about.
Also, it would be fun if the "bad guys" could capture you, bind and gag you,
injure you, etc.  Then many verbs would not work,
and you'd have to escape by some cleverness.

@heading (SETTING)

Some people might think that the story should be set in a real country,
like Yugoslavia.  It
would immediately lend realism and a sense of "being there."  But
there are problems.  Would a player who happens to know Croatian
complain that the other characters don't understand it?  Or, more
likely, would the story's timetable have to conform with a real one
from that country?  Would everything have to be realistic: train
layout, station layout, food menu, ...?  To avoid these problems,
I'm assuming (for now) that the country is fictitious.

Frotzerland is a country somewhere in the middle
of Europe, with a neutral but paranoid
government.  (Any similarity to actual countries living or dead is just "tough
noogies.")  The Frotz National Railway ("Ferroglip Natsiolim Frotzilim")
tends to run on time, so you can usually
depend on the printed timetable.  All action takes place on the trains
and in the stations.  A train is made up of several identical passenger
cars (technical note: single ROOMs serve multiple locations),
each with several compartments, a corridor, and two rest rooms;
also cars for baggage and dining, and a special luxury car to carry
the defector.  The stations are all identical too,
with these interesting rooms: platform, waiting room, cafe/store,
rest rooms, ticket/info window, baggage room.  You can't leave a station
without boarding a train, since the police would
take you in for an improper visa.

@heading (CHARACTERS)

The characters include:

@begin (itemize)

The innocent traveller, who through pure chance gets mixed up in spy business

The "good" spy (at the beginning) is a James Bond type, daring enough
to go fight the "bad" spy and lose big.

The "bad" spy

The train conductor -- helpful but suspicious, s/he doesn't want trouble
in HIS (or HER) jurisdiction.

The contact(s)

Waiters, clerks, passengers, spear carriers, etc.

@end (itemize)

Some of the characters will be chosen from the following list,
depending on which plot variation you choose.  (Appearances
will be randomly matched with personalities.)

@begin (itemize)

a devious "femme fatale"

an attractive man

a merciless, masculine woman

a jovial, rotund, threatening man

a regal older woman

a tall, thin silent man

@comment ( and her innocent-eyed maid, a man with a fez or turban)

and so on
@end (itemize)

@heading (PACKAGE)

@begin (itemize)
In the "browsie" could be a
short prose introduction to each plot, in lieu of a long "boot screen."

Timetable (and route map?) should be printed in a color(s) that
can't easily be photocopied,
and it should be a "feelie" so pirates can't read it in their local store.
@comment (Or should it be part of the "browsie" so pirates can't call us up
and claim they lost it?)

train ticket(s)

"sound sheet" with useless phrases in Frotzian and English

tourist guide to Frotzerland for "browsie"
@end (itemize)
